curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direct_debit_subscription": {
"client_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"bank_account_id": "497f6eca-6276-4993-bfeb-53cbbbba6f09",
"initial_collection_date": "2026-11-15",
"amount": {
"value": "250.00",
"currency": "EUR"
},
"reference": "INV-2026-001",
"notify_client": true,
"schedule_type": "one_off"
}
}
'{
"direct_debit_subscription": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"direct_debit_mandate_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"bank_account_id": "497f6eca-6276-4993-bfeb-53cbbbba6f09",
"initial_collection_date": "2026-11-15",
"amount": {
"value": "49.90",
"currency": "EUR"
},
"reference": "SUBSCRIPTION-2026",
"status": "pending_mandate_signature",
"schedule_type": "monthly",
"schedule_total_collection_count": 12,
"schedule_next_collection_date": "2026-11-15",
"schedule_end_date": "2027-10-15",
"notify_client": true,
"sign_url": "https://pay.qonto.com/mandates/7c9e6679-7425-40de-944b-e07fc1f90ae7",
"created_at": "2026-10-06T09:30:00Z"
}
}SEPA Direct Debit subscriptions
Create a SEPA Direct Debit subscription
Create a one-off or recurring SEPA Direct Debit subscription.
POST
/
v2
/
sepa
/
direct_debit_subscriptions
curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direct_debit_subscription": {
"client_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"bank_account_id": "497f6eca-6276-4993-bfeb-53cbbbba6f09",
"initial_collection_date": "2026-11-15",
"amount": {
"value": "250.00",
"currency": "EUR"
},
"reference": "INV-2026-001",
"notify_client": true,
"schedule_type": "one_off"
}
}
'{
"direct_debit_subscription": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"direct_debit_mandate_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"bank_account_id": "497f6eca-6276-4993-bfeb-53cbbbba6f09",
"initial_collection_date": "2026-11-15",
"amount": {
"value": "49.90",
"currency": "EUR"
},
"reference": "SUBSCRIPTION-2026",
"status": "pending_mandate_signature",
"schedule_type": "monthly",
"schedule_total_collection_count": 12,
"schedule_next_collection_date": "2026-11-15",
"schedule_end_date": "2027-10-15",
"notify_client": true,
"sign_url": "https://pay.qonto.com/mandates/7c9e6679-7425-40de-944b-e07fc1f90ae7",
"created_at": "2026-10-06T09:30:00Z"
}
}Authentication: API key OAuth 2.0
Scope:
Use
Scope:
sepa_direct_debit.write
Related guide: Collect payments with SEPA Direct Debit
schedule_type to choose the frequency (one_off, weekly, monthly, quarterly, yearly or custom with schedule_custom_interval and schedule_custom_unit), and schedule_total_collection_count to limit the number of collections (omit it for a schedule without end). When direct_debit_mandate_id is omitted, a new mandate is created and the response includes sign_url.Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
The SEPA Direct Debit subscription has been created successfully.
Show child attributes
Show child attributes
Was this page helpful?